import { Resource } from './resource';
import { WebApiClient } from './web-api-client';
/**
 * @export
 * @abstract
 * @class InstanceResource
 * @extends {Resource}
 */
export declare abstract class InstanceResource extends Resource {
    protected _id: any;
    /**
     * Creates an instance of InstanceResource.
     * @param {any} id
     * @param {string} basePath
     * @param {WebApiClient} client
     *
     * @memberOf InstanceResource
     */
    constructor(id: any, basePath: string, client: WebApiClient);
    /**
     * Returns id of the WebApi entity this instance resource represents
     * @readonly
     * @type {any}
     * @memberOf InstanceResource
     */
    readonly id: any;
    /**
     * Returns utl path of this instance resource
     * @returns {string}
     *
     * @memberOf InstanceResource
     */
    getPath(): string;
}
